Package org.apache.el.util

# Class ConcurrentCache<K,V>

java.lang.Object
org.apache.el.util.ConcurrentCache<K,V>

public final class ConcurrentCache<K,V> extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConcurrentCache(int size)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `V`
  `get(K k)`
  `void`
  `put(K k, V v)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConcurrentCache

    public ConcurrentCache(int size)

- ## Method Details

  - ### get

    public V get(K k)

  - ### put

    public void put(K k, V v)